package vs;

import java.io.FileOutputStream;
import java.io.IOException;

import com.google.protobuf.Any;

public class WriteLogMessage {

    public static void main(String... args) throws IOException {
        Syslog.Message m = Syslog.Message //
                .newBuilder() //
                .setAppname("Test App") //
                .addData(Syslog.ComplexData //
                        .newBuilder() //
                        .setKey("key 1") //
                        .setText("data 1") //
                        .build()) //
                .addData(Syslog.ComplexData //
                        .newBuilder() //
                        .setKey("key 2") //
                        .setText("data 2") //
                        .build()) //
                .addData(Syslog.ComplexData //
                        .newBuilder() //
                        .setKey("key 3") //
                        .setData(Any.pack(Syslog.StructuredData.newBuilder()
                                .setValue("abc").build()))
                        .build()) //
                .setPriority(Syslog.Severity.Alert) //
                .build();
        m.writeTo(new FileOutputStream("out"));
    }
}
